## kppp 4.13.0

=== Rules/CMakeLists.txt ===



add_subdirectory(Argentina)
add_subdirectory(Australia)
add_subdirectory(Austria)
add_subdirectory(Bangladesh)
add_subdirectory(Belgium)
add_subdirectory(Bosnia_and_Herzegovina)
add_subdirectory(Brasil)
add_subdirectory(Croatia)
add_subdirectory(Czechia)
add_subdirectory(Denmark)
add_subdirectory(Estonia)
add_subdirectory(Finland)
add_subdirectory(France)
add_subdirectory(Germany)
add_subdirectory(Greece)
add_subdirectory(HongKong)
add_subdirectory(Hungary)
add_subdirectory(Iceland)
add_subdirectory(India)
add_subdirectory(Indonesia)
add_subdirectory(Ireland)
add_subdirectory(Israel)
add_subdirectory(Italy)
add_subdirectory(Jamaica)
add_subdirectory(Japan)
add_subdirectory(Kazakhstan)
add_subdirectory(Luxembourg)
add_subdirectory(Macedonia)
add_subdirectory(Malaysia)
add_subdirectory(Netherlands)
add_subdirectory(Norway)
add_subdirectory(Poland)
add_subdirectory(Portugal)
add_subdirectory(Romania)
add_subdirectory(Russia)
add_subdirectory(Singapore)
add_subdirectory(Slovakia)
add_subdirectory(Slovenia)
add_subdirectory(SouthAfrica)
add_subdirectory(SouthAfrika)
add_subdirectory(Spain)
add_subdirectory(Sweden)
add_subdirectory(Switzerland)
add_subdirectory(Turkey)
add_subdirectory(Ukraine)
add_subdirectory(United_Kingdom)
add_subdirectory(Uruguay)
add_subdirectory(Yugoslavia)

########### install files ###############

install( FILES TEMPLATE  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules)

=== logview/CMakeLists.txt ===

add_definitions ( -DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS)

########### next target ###############

set(kppplogview_SRCS 
   main.cpp 
   loginfo.cpp 
   log.cpp 
   monthly.cpp 
   export.cpp )

kde4_add_executable(kppplogview ${kppplogview_SRCS})

target_link_libraries(kppplogview  ${KDE4_KDE3SUPPORT_LIBS} m )

install(TARGETS kppplogview  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS kppplogview.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})

=== Rules/Austria/CMakeLists.txt ===

add_subdirectory( Business_1 ) 
add_subdirectory( Business_2 ) 
add_subdirectory( Minimum ) 
add_subdirectory( Standard ) 




########### install files ###############

=== Rules/Japan/CMakeLists.txt ===




########### install files ###############

install( FILES NTT_Local.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/Japan)

=== Rules/Norway/CMakeLists.txt ===




########### install files ###############

install( FILES Local_Area.rst  		Long_Distance.rst  		Netcom.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/Norway)

=== Rules/Poland/CMakeLists.txt ===




########### install files ###############

install( FILES Netia_Lokalne_Niebieska.rst  		Netia_Lokalne_Zielona.rst  		Netia_100km_Niebieska.rst  		Netia_100km_Zielona.rst  		TPSA.rst  		Internetia.rst  		TP_Lokalne.rst  		TP_100km.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/Poland)

=== Rules/Russia/CMakeLists.txt ===




########### install files ###############

install( FILES TEMPLATE.ru mtu-intel_standart.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/Russia)

=== Rules/SouthAfrica/CMakeLists.txt ===




########### install files ###############

install( FILES South_Africa_local.rst  South_Africa_long_distance.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/South_Africa)

=== DB/Provider/Ireland/CMakeLists.txt ===

install( FILES .directory Eircom  IOL  DESTINATION ${DATA_INSTALL_DIR}/kppp/Provider/Ireland)

=== DB/Provider/Norway/CMakeLists.txt ===

install( FILES .directory Institutt%032for%032informatikk BGNett  DESTINATION ${DATA_INSTALL_DIR}/kppp/Provider/Norway)

## kppp 4.11.2

=== debian/changelog ===
kppp (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:35:50 +0100

kppp (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:29:16 +0100

kppp (4:4.11.0-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 01:13:11 +0100

kppp (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 15 Jul 2013 10:42:27 +0100

kppp (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Michał Zając ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Debug package depends not suggests main package = binary:Version 

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:20:42 +0100

kppp (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Initial package, split from kdenetwork

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Jun 2013 13:51:36 +0100

=== debian/control ===
Source: kppp
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2)
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kppp
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kppp

Package: kppp
Section: net
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ppp
Suggests: khelpcenter4
Description: modem dialer for KDE
 KPPP is a modem dialer for connecting to a dial-up Internet Service Provider.
 It displays statistics and accounting information to help users keep track of
 connection costs.
 .
 This package is part of the KDE 4 networking module.

Package: kppp-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg, kppp (= ${binary:Version})
Recommends: kde-workspace-dbg
Description: debugging symbols for kppp
 This package contains debugging files used to investigate problems with
 binaries included in kppp

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_install:
	$(overridden_command)
	if [ -d debian/kppp ]; then \
	    chown root:dialout debian/kppp/usr/bin/kppp && \
	    chmod 4754 debian/kppp/usr/bin/kppp; \
	fi

override_dh_fixperms:
	$(overridden_command) -Xusr/bin/kppp

override_dh_strip:
	$(overridden_command) --dbg-package=kppp-dbg

## kppp 4.11.3

=== debian/changelog ===
kppp (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 10 Nov 2013 11:02:27 +0100

kppp (4:4.11.2-1) experimental; urgency=low

  * First release of kdenetwork after being split by upstream.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 14:09:39 +0200

=== debian/control ===
Source: kppp
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.11),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11),
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kppp.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kppp.git

Package: kppp
Section: net
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ppp
Suggests: khelpcenter4
Description: modem dialer for KDE
 KPPP is a modem dialer for connecting to a dial-up Internet Service Provider.
 It displays statistics and accounting information to help users keep track of
 connection costs.
 .
 This package is part of the KDE 4 networking module.

## kppp 4.12.3

=== debian/changelog ===
kppp (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:44:00 +0100

kppp (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 21:02:39 +0100

kppp (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:10:51 +0000

kppp (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:26:14 +0000

kppp (4:4.12.0-0ubuntu2) trusty; urgency=low

  * Add back kdenetwork changelog entries for book keeping purposes.
  * Drop suid bit on kppp and change chown'ed group to dip rather than
    dialout. This realigns the binary permissions with Debian, if it
    turns out to be broken, Debian may be blamed as there appears to be
    no one who actually can test whether this is working as intended.
    LP: #1265301

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 02 Jan 2014 13:37:52 +0100

kppp (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:20:34 +0000

kppp (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:20:36 +0000

kppp (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:17:55 +0100

kppp (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:47:29 +0100

kdenetwork (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  [ Jonathan Riddell ]
  * Add missing build-depends on kde-workspace-dev and libtelepathy-qt4-dev
  * Update not-installed

  [ Rohan Garg ]
  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:26:38 +0100

kdenetwork (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, remaining changes:
    - debian/control:
      - Build against libboost1.53-dev
      - Build against libexpat1-dev instead of libexpat-dev
      - kopete recommends kopete-message-indicator
    - debian/rules:
      - chown kppp to root:dialout instead of root:dip
    - debian/kopete.install: don't add usr/bin/googletalk-call
    - kdenetwork recommends qapt-batch
    - Do not install Skype™ plugin
  * Move libv4l-dev into build-conflicts, it causes a compile failure
    in saucy
  * Build with -DDISABLE_VIDEOSUPPORT=true due to compile failure with
    saucy v4l

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:34 +0000

kdenetwork (4:4.10.2+dfsg-0ubuntu1) raring; urgency=low

  * Do not install Skype™ plugin. (LP: #1163504)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 24 Apr 2013 16:02:14 +0100

kdenetwork (4:4.10.2-1) experimental; urgency=low

  * New upstream.
  * Update symbols file.
  * Update install files.
  * Bump build-deps
  * Temporarily remove kde-workspace build-dep to get the package built on
    autobuilders.

 -- Sune Vuorela <sune@debian.org>  Fri, 12 Apr 2013 21:32:12 +0000

kdenetwork (4:4.10.2-0ubuntu1) raring; urgency=low

  [ Philip Muškovac ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * Update kget.install

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:44:29 +0200

kdenetwork (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
  * Add debian/patches/kubuntu_krfb_link_to_pthread.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 05 Mar 2013 15:33:10 +0000

kdenetwork (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:48:09 +0000

kdenetwork (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate
  * Remove kubuntu_01_fix_kopete_notifications_away.diff fixed upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:27:46 +0000

kdenetwork (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:31:25 +0100

kdenetwork (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:25:51 +0000

kdenetwork (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:48:48 +0000

kdenetwork (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release
  * Remove fix_missing_header_include.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:54:22 +0000

kdenetwork (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)
    - drop kopete_crash_fix.diff, applied upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:32:44 +0100

kdenetwork (4:4.9.2-0ubuntu3) raring; urgency=low

  * Cherrypick fix from upstream to solve kopete crashes when contacts
    are moved or deleted (LP: #1072785)

 -- Scott Kitterman <ubuntu@kitterman.com>  Mon, 29 Oct 2012 17:13:36 +0100

kdenetwork (4:4.9.2-0ubuntu2) quantal; urgency=low

  * Rebuild to get missing binaries that were lost due to being copied from
    proposed to release before they were built

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Oct 2012 00:41:58 -0400

kdenetwork (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:23:32 +0100

kdenetwork (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Make sonames more generic .so.4.9.0 becomes .so.4.9.*

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:22:47 +0530

kdenetwork (4:4.9.0-0ubuntu4) quantal; urgency=low


=== debian/control ===
Source: kppp
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.12.3)
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kppp
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kppp

Package: kppp
Section: net
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ppp
Suggests: khelpcenter4
Description: modem dialer for KDE
 KPPP is a modem dialer for connecting to a dial-up Internet Service Provider.
 It displays statistics and accounting information to help users keep track of
 connection costs.
 .
 This package is part of the KDE 4 networking module.

Package: kppp-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg, kppp (= ${binary:Version})
Recommends: kde-workspace-dbg
Description: debugging symbols for kppp
 This package contains debugging files used to investigate problems with
 binaries included in kppp

## kppp 4.13.0

=== debian/changelog ===
kppp (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:11:53 +0100

kppp (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:37:04 +0200

kppp (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:38:15 +0100

kppp (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:09:02 +0000

kppp (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:58:37 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.3)
+ kdelibs5-dev (>= 4:4.13.0)
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kppp

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kdenetwork-([\d\.]*).tar.xz

## kppp 4.13.1

=== DB/CMakeLists.txt ===

add_subdirectory( Provider )

=== Rules/Australia/CMakeLists.txt ===




########### install files ###############

install( FILES Optus_Residential.rst  	Local.rst  	STD_Zone_1_-_25-50_kms.rst  	STD_Zone_2_-_50-85_kms.rst  	STD_Zone_3_-_85-165_kms.rst  	STD_Zone_4_-_165+_kms.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/Australia)

=== Rules/Finland/CMakeLists.txt ===




########### install files ###############

install( FILES VLP.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/Finland)

=== Rules/France/CMakeLists.txt ===




########### install files ###############

install( FILES France_Telecom_Local.rst France_Telecom_Internet.rst France_Telecom_National.rst      Cegetel_Local.rst Cegetel_National.rst Le_9_Local.rst Le_9_National.rst Tele2_Local.rst Tele2_National.rst      OneTel.rst Wanadoo_Free.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/France)

=== Rules/Greece/CMakeLists.txt ===




########### install files ###############

install( FILES Hellas_digital_local_in_euro.rst  	Hellas_EPAK_Zone1_in_euro.rst  	Hellas_EPAK_Zone2_in_euro.rst  	Hellas_EPAK_local_in_euro.rst  	Hellas_analog_local_in_euro.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/Greece)

=== Rules/Romania/CMakeLists.txt ===




########### install files ###############

install( FILES Romtelecom_Acces_Special_Internet.rst             Romtelecom_Interjudetean.rst             Romtelecom_Local.rst             RomTelecom_GSM.rst             Zapp-Mobile.rst Easynet.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/Romania)

=== Rules/Turkey/CMakeLists.txt ===




########### install files ###############

install( FILES Turk_Telekom_Internet.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/Turkey)

=== Rules/Yugoslavia/CMakeLists.txt ===




########### install files ###############

install( FILES 041_1xx_xxx.rst 041_5xx_xxx.rst II_zona-do_200km.rst  	041_2xx_xxx.rst  041_9xx_xxx.rst I_zona-ista_mreza.rst  	041_3xx_xxx.rst  Lokalni_poziv.rst 041_4xx_xxx.rst   	III_zona-preko_200km.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/Yugoslavia)

=== DB/Provider/Portugal/CMakeLists.txt ===

install( FILES .directory OniNet Clix Netc  DESTINATION ${DATA_INSTALL_DIR}/kppp/Provider/Portugal)

=== DB/Provider/Sweden/CMakeLists.txt ===
install( FILES .directory Utfors Tiscali  DESTINATION ${DATA_INSTALL_DIR}/kppp/Provider/Sweden)

=== DB/Provider/Switzerland/CMakeLists.txt ===

install( FILES .directory Bluewin  DESTINATION ${DATA_INSTALL_DIR}/kppp/Provider/Switzerland)

=== DB/Provider/Ukraine/CMakeLists.txt ===
install( FILES .directory Adamant IPTelecom NuVse LifeEDGE  DESTINATION ${DATA_INSTALL_DIR}/kppp/Provider/Ukraine)

=== debian/changelog ===
kppp (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 May 2014 18:25:29 +0200

kppp (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:19 +0200

kppp (4:4.12.2-1) experimental; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:28 +0100

=== debian/control ===
Source: kppp
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kppp.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kppp.git

Package: kppp
Section: net
Architecture: linux-any
Depends: ppp, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter4
Description: modem dialer for KDE
 KPPP is a modem dialer for connecting to a dial-up Internet Service Provider.
 It displays statistics and accounting information to help users keep track of
 connection costs.
 .
 This package is part of the KDE 4 networking module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_install:
	$(overridden_command)
	if [ -d debian/kppp ]; then \
	    chown root:dip debian/kppp/usr/bin/kppp && \
	    chmod 0754 debian/kppp/usr/bin/kppp; \
	fi

override_dh_fixperms:
	$(overridden_command) -Xusr/bin/kppp

## kppp 4.14.1

=== debian/changelog ===
kppp (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:28:23 +0200

kppp (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:19:40 +0200

kppp (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:03:06 +0200

kppp (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:29:25 +0200

kppp (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:23:24 +0200

kppp (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, remaining changes:
    - debian/rules:
      - chown kppp to root:dialout instead of root:dip

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:41:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kppp
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -11,12 +12,14 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.1),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kppp.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kppp.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kppp
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kppp
+X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kppp.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kppp.git
 
 Package: kppp
 Section: net

## kppp 4.14.2

=== Rules/India/CMakeLists.txt ===




########### install files ###############

install( FILES Vsnl_local.rst BSNL_Local.rst  	 BSNL_Long_101_To_200.rst  	 BSNL_Medium_51_To_100.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/India)

=== Rules/Netherlands/CMakeLists.txt ===




########### install files ###############

install( FILES 12Move.rst                  Cistron  		Priority_Telecom_Nationaal.rst  		BelBasis_Buiten_Regio.rst  		Freeler_Basis.rst  		Priority_Telecom_Regionaal.rst  		BelBasis_Buiten_Regio_Nummervoordeel.rst  		Freeler_Voordelig.rst  		Tele2_Extra_Buiten_Regio.rst  		BelBasis_Regio.rst  		HetNet_Regelmatig_Surfen.rst  		Tele2_Extra_Regio.rst  		BelBasis_Regio_Nummervoordeel.rst  		InterNLnet.rst  		Tele2_Preselect_Buiten_Regio.rst  		BelBudget_Buiten_Regio.rst  		Tele2_Preselect_Regio.rst  		BelBudget_Regio.rst  		OneTel_Spaarstand_Buiten_Regio.rst  		Tele2_Toets_1609_Buiten_Regio.rst  		BelPlus_Buiten_Regio.rst  		OneTel_Spaarstand_Regio.rst  		Tele2_Toets_1609_Regio.rst  		BelPlus_Regio.rst  		OneTel_Toets_1658_Buiten_Regio.rst  		Wannadoo_Budget_Plus  		BelPlus_Regio_Nummervoordeel.rst  		OneTel_Toets_1658_Regio.rst  		Planet_Internet.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/Netherlands)

=== debian/changelog ===
kppp (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:56:19 +0200

kppp (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:57:22 -0700

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 override_dh_install:
 	$(overridden_command)
 	if [ -d debian/kppp ]; then \
-	    chown root:dip debian/kppp/usr/bin/kppp && \
+	    chown root:dialout debian/kppp/usr/bin/kppp && \
 	    chmod 0754 debian/kppp/usr/bin/kppp; \
 	fi

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kppp-([\d\.]*).tar.xz

## kppp 14.12.3

=== debian/changelog ===
kppp (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:39:15 -0700

kppp (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:43:27 -0800

kppp (4:14.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 12 Dec 2014 10:27:53 -0800

kppp (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release
  * Merge with Debian, remaining changes:
      - chown kppp to root:dialout instead of root:dip

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Nov 2014 19:23:43 +0100

kppp (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:57:22 -0700

=== debian/control ===
Source: kppp
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kppp.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kppp.git

Package: kppp
Section: net
Architecture: linux-any
Depends: ppp, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: modem dialer for KDE
 KPPP is a modem dialer for connecting to a dial-up Internet Service Provider.
 It displays statistics and accounting information to help users keep track of
 connection costs.
 .
 This package is part of the KDE 4 networking module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kppp-([\d.]+).tar.xz

## kppp 15.08.2

=== debian/changelog ===
kppp (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:40:27 +0100

kppp (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:17:01 +0100

kppp (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:34:48 +0100

kppp (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:51:49 +0100

kppp (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:17:11 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kppp.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kppp.git

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kppp-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kppp-([\d.]+).tar.xz

## kppp 15.12.3

=== pixmaps/CMakeLists.txt ===

install( FILES folder.png phone.png  		dock_both.png dock_left.png dock_none.png dock_right.png  		modemboth.png modemleft.png modemnone.png modemright.png  DESTINATION ${DATA_INSTALL_DIR}/kppp/pics)

=== Rules/Argentina/CMakeLists.txt ===




########### install files ###############

install( FILES Argentina_Local.rst Argentina_0610.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/Argentina)

=== Rules/Bosnia_and_Herzegovina/CMakeLists.txt ===




########### install files ###############

install( FILES BiHnet_-_home_-_bez_impulsa.rst  	BiHnet_-_student_-_bez_impulsa.rst          SmartNet_PERSONAL_bez_impulsa.rst   	samo_impulsi.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/Bosnia_and_Herzegovina)

=== Rules/Croatia/CMakeLists.txt ===




########### install files ###############

install( FILES CARNet.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/Croatia)

=== Rules/Germany/CMakeLists.txt ===




########### install files ###############

install( FILES 2.5min.rst 2.5s.rst  	Arcor_Internet_by_Call_easy.rst  	AddCom_by_Call.rst Addcom.rst  	Callino_Surf_Basic.rst  Callino_Surf_Plus.rst  	Callisa_City.rst  	CallOkaynet.rst  	Cityweb.rst  	City_Activ_Plus_Option.rst  	CompuservePro.rst  	Easynet_easy-call.rst  	expressnet.rst Netcom_Kassel.rst  	Freenet_Sorglos.rst  	Freenet_StandardTarif.rst  	Freenet_Super_CbC.rst  	Mobilcom_Freenet.rst  	Nikoma.rst Nikoma_Internet_by_Call.rst Nikoma_Study_and_Surf.rst  	Telekom_City_Select_5_30.rst  	knUUt-by-Call.rst  	talkline_by_call.rst  	vossnet_fun.rst vossnet_fun_light.rst vossnet_kompl.rst  	Planet-Interkom_Internet_by_call.rst  	Puretec.rst  	NGI_Call_By_Call.rst  	MSN.rst  	Freenet_special_call_by_call.rst  	Freenet_Enterprise.rst  	E-Plus-Online_Jedermann.rst  	1und1_InternetZugang.rst  	VR-Web.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/Germany)

=== Rules/Indonesia/CMakeLists.txt ===




########### install files ###############

install( FILES Lokal_1_Metropolitan.rst  		Lokal_non_metropolitan.rst  		Lokal_2_Metropolitan.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/Indonesia)

=== Rules/Luxembourg/CMakeLists.txt ===




########### install files ###############

install( FILES Local.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/Luxembourg)

=== Rules/Switzerland/CMakeLists.txt ===




########### install files ###############

install( FILES Swisscom_Local.rst  		Swisscom_Remote.rst  		Swisscom_Surf.rst  		Sunrise_Freetime.rst  		Sunrise_Select_Internet.rst  		Sunrise_Local.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/Switzerland)

=== DB/Provider/Slovenia/CMakeLists.txt ===

install( FILES AmisNet Arnes Kiss MojNet SiOL Volja  DESTINATION ${DATA_INSTALL_DIR}/kppp/Provider/Slovenia)

=== debian/changelog ===
kppp (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:43:49 -0700

kppp (4:15.12.1-1ubuntu1) xenial; urgency=medium

  * Debian merge: No remaining changes.
  * New upstream release. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 11:00:18 +0100

kppp (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:07 +0100

kppp (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 14:11:26 +0000

kppp (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:50 +0100

kppp (4:15.04.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:10:46 +0200

kppp (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 Feb 2015 11:32:50 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kppp.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kppp.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kppp.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kppp.git
 
 Package: kppp
 Section: net

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,3 @@
 
 override_dh_fixperms:
 	$(overridden_command) -Xusr/bin/kppp
-

## kppp 16.08.0

=== debian/changelog ===
kppp (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Stop forcing the local installation to debian/tmp, letting the package
    directory as install place.
    - remove kppp.install, no more used now
    - move the change of ownership/permissions of /usr/bin/kppp in the
      dh_fixperms override

 -- Pino Toscano <pino@debian.org>  Thu, 25 Aug 2016 06:20:30 +0200

kppp (4:15.12.0-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 21:08:23 +0200

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kppp.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kppp.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kppp.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kppp.git
 
 Package: kppp
 Section: net

## kppp 16.12.3

=== debian/changelog ===
kppp (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:31:04 +0000

kppp (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:20:04 +0000

kppp (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:27:11 +0200

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.14.30~),
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kppp.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kppp.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kppp
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kppp
 
 Package: kppp
 Section: net

## kppp 17.04.3

=== debian/changelog ===
kppp (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:35:40 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.30~),
+               kdelibs5-dev (>= 4:4.14.34~),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/

## kppp 17.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)
project(kppp)

if(NOT INSIDE_KDENETWORK)
    message("Not building inside KDENetwork, loading KDE CMake Macros.")

    find_package(KDE4 REQUIRED)

    include(KDE4Defaults)
    include(MacroLibrary)

    include(CheckIncludeFile)
    include(CheckIncludeFiles)
    include(CheckSymbolExists)
    include(CheckFunctionExists)
    include(CheckLibraryExists)
    include(CheckPrototypeExists)
    include(CheckTypeSize)

    set(CMAKE_REQUIRED_DEFINITIONS ${_KDE4_PLATFORM_DEFINITIONS})
    if(WIN32)
       set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
       set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
    endif(WIN32)
    add_definitions(${QT_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS} ${KDE4_DEFINITIONS})
    add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
    include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})
endif(NOT INSIDE_KDENETWORK)

check_include_files(sys/param.h HAVE_SYS_PARAM_H)
check_include_files(net/if_ppp.h HAVE_NET_IF_PPP_H)
check_include_files(linux/if_ppp.h HAVE_LINUX_IF_PPP_H)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-kppp.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kppp.h )


add_subdirectory( pixmaps ) 
add_subdirectory( icons ) 
add_subdirectory( logview ) 
add_subdirectory( Rules ) 
add_subdirectory( DB ) 
add_subdirectory( doc )

########### next target ###############

set(kppp_SRCS 
   kpppwidget.cpp 
   general.cpp 
   accounts.cpp 
   connect.cpp 
   conwindow.cpp 
   debug.cpp 
   edit.cpp 
   iplined.cpp 
   main.cpp 
   modem.cpp 
   modemcmds.cpp 
   pppdargs.cpp 
   pppdata.cpp 
   scriptedit.cpp 
   pwentry.cpp 
   modeminfo.cpp 
   pppstatdlg.cpp 
   pppstats.cpp 
   miniterm.cpp 
   accounting.cpp 
   acctselect.cpp 
   ruleset.cpp 
   docking.cpp 
   runtests.cpp 
   loginterm.cpp 
   ppplog.cpp 
   newwidget.cpp 
   requester.cpp 
   opener.cpp 
   modemdb.cpp 
   utils.cpp 
   providerdb.cpp 
   modems.cpp )

qt4_add_dbus_interfaces(kppp_SRCS org.kde.kppp.xml)
qt4_add_dbus_adaptor(kppp_SRCS org.kde.kppp.xml kpppwidget.h KPPPWidget)

kde4_add_executable(kppp ${kppp_SRCS})

target_link_libraries(kppp  ${KDE4_KDE3SUPPORT_LIBS} m )

if(KDE4_ENABLE_FPIE)
    macro_add_compile_flags(kppp ${KDE4_CXX_FPIE_FLAGS})
    macro_add_link_flags(kppp ${KDE4_PIE_LDFLAGS})
endif(KDE4_ENABLE_FPIE)


#TODO add message about install kppp as setuid 
MESSAGE(STATUS "Warning: kppp use setuid")
install(TARGETS kppp PERMISSIONS SETUID OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_EXECUTE WORLD_READ  DESTINATION ${BIN_INSTALL_DIR} )


########### install files ###############
install( FILES org.kde.kppp.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} ) 
install( PROGRAMS Kppp.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})

if (NOT INSIDE_KDENETWORK)
    macro_display_feature_log()
endif ()

=== logview/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-
-add_definitions ( -DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS)
 
 ########### next target ###############

=== Rules/Estonia/CMakeLists.txt ===




########### install files ###############

install( FILES Eesti_Telefon.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/Estonia)

=== Rules/Hungary/CMakeLists.txt ===




########### install files ###############

install( FILES Local.rst  		Local_MATAV.rst  		LocalTop_MATAV.rst  		PapaTel.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/Hungary)

=== Rules/Israel/CMakeLists.txt ===




########### install files ###############

install( FILES Bezeq_Local.rst  		Bezeq_Interurban.rst  DESTINATION ${DATA_INSTALL_DIR}/kppp/Rules/Israel)

=== debian/changelog ===
kppp (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Update uploaders list as requested by MIA team (Closes: #879365)

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces in changelog.

 -- Pino Toscano <pino@debian.org>  Thu, 11 Jan 2018 09:41:46 +0100

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,19 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
-           Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
-           Maximiliano Curia <maxy@debian.org>
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.34~),
+               kdelibs5-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.6
+Standards-Version: 4.1.3
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kppp
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kppp
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kppp.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kppp.git
 
 Package: kppp
 Section: net

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_fixperms:
	$(overridden_command) -Xusr/bin/kppp
	chown root:dialout debian/kppp/usr/bin/kppp
	chmod 0754 debian/kppp/usr/bin/kppp

## kppp logger-1.4

=== Makefile ===


all: 
	g++  -I. -Wall -O3 -g -L/lib/ -c  src/pppdead.cpp -o src/pppdead.o
	g++  -I. -Wall -O3 -g -L/lib/ -c  src/kppp_logger.cpp  -o src/kppp_logger.o
	g++  -I. -Wall -O3 -g -L/lib/ -c  src/cnt.cpp -o src/cnt.o
	g++  -I. -Wall -O3 -g -L/lib/ -c  src/total.cpp -o src/total.o
	g++  -I. -Wall -O3 -g -L/lib/ -c  src/savelog.cpp -o src/savelog.o
	g++  -I. -Wall -O3 -g -L/lib/ -c  src/check.cpp -o src/check.o	
	g++  -I. -Wall -O3 -g -L/lib/ -c  src/usage.cpp -o src/usage.o
	g++  -I. -Wall -O3 -g -L/lib/ -c  src/readlog.cpp -o src/readlog.o
	@echo""
	@echo "Linking objects -> binaries."
	g++ src/kppp_logger.o src/cnt.o src/total.o src/savelog.o src/check.o src/usage.o src/readlog.o -o kppp_logger
	g++ src/pppdead.o -o pppdead
	@echo build process completed.
	@echo "Do not forget to make install, otherwise kppp_logger is not used."

install:
	install kppp_logger /usr/local/bin/
	@mv pppdead /usr/local/bin/
	-install --mode=-x+r+w  man/kppp_logger.1.gz /usr/man/man1/
	-install --mode=-x+r+w  man/pppdead.1.gz /usr/man/man1/
	@echo 
	@echo "PLEASE READ THE INSTALL IF YOU ALLREADY HAVEN'T."
	@echo 
	@echo "Now, run kppprc_change.sh to finnish the installtion."
	@echo
restore:
	-cp $(HOME)/.kde/share/config/kppprc.BAK $(HOME)/.kde/share/config/kppprc
	@echo "kppprc has been restored. kppp_logger is disabled."
check:
	@echo
	@echo "If you see: Command=kppp_logger -c down below. The installation was successful"
	@echo
	@cat $(HOME)/.kde/share/config/kppprc |grep kppp_logger

clean:
	@echo "Restoring your kppprc..."
	-mv $(HOME)/.kde/share/config/kppprc.BAK $(HOME)/.kde/share/config/kppprc
	-rm -rf $(HOME)/.kde/share/config/kppprc.BAK
	-rm -rf $(HOME)/.kppp_logger
	-rm -rf kppp_logger
	-rm -rf /usr/local/bin/kppp_logger
	-rm -rf /usr/local/bin/pppdead
	-rm -rf pppdead.o
	-rm -rf src/*.o
	-rm -rf core
	-rm -rf core.pppdead
	-rm -rf core.kppp_logger
	-rm -rf a.out
	-rm -rf /tmp/pppisdead
	-rm -rf ./core
	-rm -rf /usr/man/man1/kppp_logger.1.gz
	-rm -rf /usr/man/man1/pppdead.1.gz
